Subject: bug#18438: 24.4.50; assertion failed in bidi.c

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Oct 2014 17:42:16 +0300

> Date: Wed, 01 Oct 2014 15:58:08 +1300
> From: [email-masked]
> Cc: <[email-masked]>, <[email-masked]>
> 
> On Wed, 01 Oct 2014 05:39:53 +0300, Eli Zaretskii wrote:
> >> Date: Wed, 01 Oct 2014 12:06:06 +1300
> >> From: [email-masked]
> >> Cc: Eli Zaretskii <[email-masked]>, Ken Brown <[email-masked]>
> >>
> >> On Tue, 30 Sep 2014 19:27:37 +0300, Eli Zaretskii wrote:
> >> >> Date: Tue, 30 Sep 2014 12:09:32 -0400
> >> >> From: Ken Brown <[email-masked]>
> >> >> CC: [email-masked]
> >> >>
> >> >> Wouldn't it make sense for him to first see if your recent fix of
> >> >> the
> >> >> "Current trunk aborts with MinGW" problem also fixes the present
> >> >> bug?
> >> >
> >> > Could be, yes.  I actually thought about this possibility, but 
> >> didn't
> >> > mention it because I couldn't come up with a scenario where that 
> >> bug
> >> > could have triggered such strange problems, and only in bidi.c.  
> >> But
> >> > it does no harm to try applying that patch first, and only apply 
> >> this
> >> > one if that doesn't help.
> >>
> >> And where is this patch?  I don't keep up with the happenings on 
> >> trunk.
> >
> > Sorry, it's here:
> >
> >   http://lists.gnu.org/archive/html/emacs-devel/2014-09/msg00901.html
> 
> When I try to apply that to commit 623a1b2, patch says "Reversed (or 
> previously applied) patch detected!"  Has this been merged to the 
> emacs-24 branch?

Yes, and in the meantime it was also merged to the trunk.  So just
update and rebuild.